{% extends 'base.html' %} {% block content %}

<div class="ui fixed inverted menu" id="ProjectID">
    <a class="ui icon inverted button" id="btBack" href="{% url 'index' %}">
        <i class="left arrow icon"></i>
    </a>
    <div class="ui tiny inverted statistic">
        <div class="label">PRONAC</div>
        <div class="value">{{ string_pronac }}</div>
    </div>
    <h1>{{project.name}}</h1>
    {% if user %}
    <div class="ui basic segment" id="LoggedUser">
        Avaliando como:
        <br />{{user.name}}
    </div>
    {% endif %}
</div>

{% if not user %}
<div class="ui ten column centered grid" style="margin-top:50px;">
    <div class="ui raised segment" id="LoginArea">
        <div class="ui form">
            <div class="header">
                Preencha seus dados para avaliar este projeto (ou para continuar uma avaliação interrompida):
            </div>
            <form action="/user_info" method="post">
                {% csrf_token %}
                <div class="three fields">
                    <div class="six wide field">
                        <input required placeholder="Nome Completo" type="text" name="user_first_name">
                    </div>
                    <div class="seven wide field">
                        <div class="ui right labeled input">
                            <input required placeholder="Email" type="text" name="user_email">
                            <div class="ui label">
                                @cultura.gov.br
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="project_pronac" value="{{ project.pronac }}">
                    <div class="two wide field">
                        <input class="ui submit button primary" type="submit" value="Enviar">
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
{% endif %} {% for indicator in project_indicators %}

<div class="ui clearing basic segment" id="Summary">
    <div class="clearfix" style="margin-right: 30px;">
        <div id="indicatorContainer"></div>
    </div>
    <h1 class="ui header">
        Diagnóstico de complexidade da prestação de contas
    </h1>
</div>

<form action="/metrics_feedback" method="post">
    {% csrf_token %}
    <div class="ui basic segment" id="DiagnosticArea">
        <div class="ui styled fluid accordion" id="DiagnosticMetrics">

            <!-- METRIC -->
            <!-- Total do número de itens -->
            <div class="title active {{indicator.metrics.0.outlier_check}}">
                <div class="ui ribbon label">
                    <i class="icon"></i>
                </div>
                <span>Itens orçamentários: {{indicator.metrics.0.value}}</span>
                <i class="dropdown icon"></i>
                <div class="helper">
                    <i class="question circle outline icon"></i>
                    <div class="ui floating message">
                        <p>
                            Compara a quantidade de itens deste projeto com a
                            <strong>quantidade mais comum</strong> de itens em projetos do mesmo segmento
                        </p>
                    </div>
                </div>
            </div>

            <div class="content active {{indicator.metrics.0.outlier_check}}">
                <!-- Barra de distribuição de itens nesse projeto em relação à média do segmento -->
                <div class="ui pointing below label" id="MedianDisplay-Project">
                    Este projeto
                </div>
                <!-- {{indicator.metrics.0.max_interval}} -->
                <div class="ui progress" data-value="{{indicator.metrics.0.bar.interval}}" data-total="{{indicator.metrics.0.bar.max_value}}"
                    id="MedianDisplay-TotalItems">
                    <div class="bar" id="barra">
                        <div class="progress">{{indicator.metrics.0.interval_start}} de {{indicator.metrics.0.interval_end}} Média de itens</div>
                    </div>
                </div>

                <div>
                    <p>
                        Esta quantidade de item orçamentários está {% if indicator.metrics.0.outlier_check != "Metric-good" %} fora {% else %} dentro
                        {% endif %} da margem considerada como normal sendo esta: {{indicator.metrics.0.interval_start}}
                        de {{indicator.metrics.0.interval_end}}.
                    </p>
                    <!-- <p>Valor da métrica: {{indicator.metrics.0.value}}</p>
                    <p>Explicação do resultado da métrica: {{indicator.metrics.0.reason}}</p>
                    <p>É um outlier: {{indicator.metrics.0.outlier_check}}</p>
                    <p>Valor inicial do intervalo: {{indicator.metrics.0.interval_start}}</p>
                    <p>Valor final do intervalo: {{indicator.metrics.0.interval_end}}</p>
                    <p>Valor bar: {{indicator.metrics.0.bar}}</p> -->
                </div>

                <div class="ui fedback form">
                    <div class="ui divider"></div>
                    <div class="header">Quanto essa informação é útil para você?</div>
                    <div class="fields">
                        <div class="four wide field rating-star" onclick="rmRedBorder(this)">
                            <div class="ui massive star rating" name="itens_orcamentarios_rating"></div>
                        </div>
                        <div class="inline field">
                            <input placeholder="Por quê?" type="text" size="50" name="itens_orcamentarios_text">
                        </div>
                    </div>
                </div>
            </div>


            <!-- METRIC -->
            <!-- 1 Porcentagem de itens do projeto em relação a distribuição dos itens mais comuns para aquele segmento ou area -->
            <div class="title active {{indicator.metrics.1.outlier_check}}">
                <div class="ui ribbon label">
                    <i class="icon"></i>
                </div>
                <span>Itens orçamentários inesperados: {{indicator.metrics.1.value}}%</span>
                <i class="dropdown icon"></i>
                <div class="helper">
                    <i class="question circle outline icon"></i>
                    <div class="ui floating message">
                        <p>Indica os itens orçamentários deste projeto que
                            <strong>não estão entre os mais comuns</strong> do segmento.</p>
                        <p>Também lista os itens que aparecem frequentemente em projetos do segmento, mas que
                            <strong>não aparecem neste projeto</strong>.</p>
                    </div>
                </div>
            </div>
            <div class="content active">
                <div class="ui grid">
                    <div class="eight wide column">
                        <div class="list header">Itens inesperados</div>
                        <div class="ui bulleted list">
                            {% for itens in indicator.metrics.1.expected_itens %}
                            <div class="item">
                                <a href="{{itens.link}}">{{itens.name}}</a>
                            </div>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="eight wide column">
                        <div class="list header">Itens ausentes</div>
                        <div class="ui bulleted list">
                            {% for itens in indicator.metrics.1.missing_itens %}
                            <div class="item">
                                <a href="{{itens.link}}">{{itens.name}}</a>
                            </div>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="ui fedback form">
                        <div class="ui divider"></div>
                        <div class="header">Quanto essa informação é útil para você?</div>
                        <div class="fields">
                            <div class="five wide field rating-star" onclick="rmRedBorder(this)">
                                <div class="ui massive star rating" name="itens_orcamentarios_fora_do_comum_rating"></div>
                            </div>
                            <div class="inline field">
                                <input placeholder="Por quê?" type="text" size="50" name="itens_orcamentarios_fora_do_comum_text">
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <!-- METRIC -->
            <!-- Número de comprovantes do projeto-->
            <div class="title active {{indicator.metrics.2.outlier_check}}">
                <div class="ui ribbon label">
                    <i class="icon"></i>
                </div>
                Comprovantes de pagamento: {{indicator.metrics.2.value}}
                <i class="dropdown icon"></i>
                <div class="helper">
                    <i class="question circle outline icon"></i>
                    <div class="ui floating message">
                        <p>Compara a quantidade de comprovantes deste projeto com a
                            <strong>quantidade mais comum</strong> de comprovantes em projetos do mesmo segmento</p>
                    </div>
                </div>
            </div>
            <div class="content active">
                <!-- <div class="ui pointing below label" id="MedianDisplay-Project">
                    Este projeto
                </div>
                <div class="ui progress" data-value="15" data-total="{{indicator.metrics.2.interval.max_value}}" id="MedianDisplay-TotalItems">
                    <div class="bar" id="barra">
                        <div class="progress">{{indicator.metrics.2.interval_start}} de {{indicator.metrics.2.interval_end}} Média de itens</div>
                    </div>
                </div> -->
                <div>
                    <p>
                        Esta quantidade de comprovantes de pagamento está {% if indicator.metrics.2.outlier_check != "Metric-good" %} 
                        acima 
                        {% else %} 
                        abaixo 
                        {% endif %} 
                        do limite esperado, sendo este: {{indicator.metrics.2.maximum_expected_in_segment}}.
                    </p>
                </div>
                <div class="ui fedback form">
                    <div class="ui divider"></div>
                    <div class="header">Quanto essa informação é útil para você?</div>
                    <div class="fields">
                        <div class="four wide field rating-star" onclick="rmRedBorder(this)">
                            <div class="ui massive star rating" name="comprovantes_pagamento_rating"></div>
                        </div>
                        <div class="inline field">
                            <input placeholder="Por quê?" type="text" size="50" name="comprovantes_pagamento_text">
                        </div>
                    </div>
                </div>
            </div>


            <!-- METRIC -->
            <!-- 5 Porcentagem de itens acima da mediana histórica, média do desvio da mediana, ou o próprio vetor de diferença em relação a mediana -->
            <div class="title active {{indicator.metrics.3.outlier_check}}">
                <div class="ui ribbon label">
                    <i class="icon"></i>
                </div>
                <span>Preços acima da média: {{indicator.metrics.3.value}}</span>
                <i class="dropdown icon"></i>
                <div class="helper">
                    <i class="question circle outline icon"></i>
                    <div class="ui floating message">
                        <p>Verifica a quantidade de itens com valor acima da mediana histórica neste projeto e compara com
                            a
                            <strong>quantidade mais frequente</strong> de itens acima da mediana em projetos do mesmo segmento</p>
                    </div>
                </div>
            </div>
            <div class="content active">
                {% for item in indicator.metrics.3.items %}
                    <ul class="item">
                        <li><a href="{{item.link}}">{{item.item_name}}</a></li>
                    </ul>
                {% endfor %}
                <p>
                        Esta quantidade de itens com valor acima da média está {% if indicator.metrics.3.outlier_check != "Metric-good" %} 
                        acima 
                        {% else %} 
                        abaixo 
                        {% endif %} 
                        do limite esperado, sendo este: {{indicator.metrics.3.maximum_expected}}.
                    </p>
                <div class="ui fedback form">
                    <div class="ui divider"></div>
                    <div class="header">Quanto essa informação é útil para você?</div>
                    <div class="fields">
                        <div class="four wide field rating-star" onclick="rmRedBorder(this)">
                            <div class="ui massive star rating" name="precos_acima_media_rating"></div>
                        </div>
                        <div class="inline field">
                            <input placeholder="Por quê?" type="text" size="50" name="precos_acima_media_text">
                        </div>
                    </div>
                </div>
            </div>


            <!-- METRIC -->
            <!-- Total do valor comprovado do projeto -->
            <div class="title active {{indicator.metrics.4.outlier_check}}">
                <div class="ui ribbon label">
                    <i class="icon"></i>
                </div>
                <span>Valor comprovado: {{indicator.metrics.4.value}}</span>
                <i class="dropdown icon"></i>
                <div class="helper">
                    <i class="question circle outline icon"></i>
                    <div class="ui floating message">
                        <p>Compara o valor comprovado neste projeto com o
                            <strong>valor mais frequentemente</strong> comprovado em projetos do mesmo segmento</p>
                    </div>
                </div>
            </div>
            <div class="content active">
                <div>
                    <p>
                        Este valor comprovado {% if indicator.metrics.4.outlier_check != "Metric-good" %}está acima {% else %}não está acima{% endif %} 
                        do limite esperado, sendo este: {{indicator.metrics.4.reason}}.
                    </p>
                </div>
                <div class="ui fedback form">
                    <div class="ui divider"></div>
                    <div class="header">Quanto essa informação é útil para você?</div>
                    <div class="fields">
                        <div class="four wide field rating-star" onclick="rmRedBorder(this)">
                            <div class="ui massive star rating" name="valor_comprovado_rating"></div>
                        </div>
                        <div class="inline field">
                            <input placeholder="Por quê?" type="text" size="50" name="valor_comprovado_text">
                        </div>
                    </div>
                </div>
            </div>


            <!-- METRIC -->
            <!-- Total do valor captado do projeto-->
            <div class="title active {{indicator.metrics.5.outlier_check}}">
                <div class="ui ribbon label">
                    <i class="icon"></i>
                </div>
                <span>Valor captado: {{indicator.metrics.5.value}}</span>
                <i class="dropdown icon"></i>
                <div class="helper">
                    <i class="question circle outline icon"></i>
                    <div class="ui floating message">
                        <p>Compara o valor captado neste projeto com o
                            <strong>valor mais frequentemente</strong> captado em projetos do mesmo segmento</p>
                    </div>
                </div>
            </div>
            <div class="content active">
                <!-- <h3>(Barra de distribuição do valor do projeto em relação à média do segmento)</h3> -->
                <div>
                    <p>
                        Esta valor captado {% if indicator.metrics.5.outlier_check != "Metric-good" %}está acima {% else %}não está acima{% endif %}
                         do limite esperado, sendo este: {{indicator.metrics.5.reason}}.
                    </p>
                </div>

                <div class="ui fedback form">
                    <div class="ui divider"></div>
                    <div class="header">Quanto essa informação é útil para você?</div>
                    <div class="fields">
                        <div class="four wide field rating-star" onclick="rmRedBorder(this)">
                            <div class="ui massive star rating" name="valor_captado_rating"></div>
                        </div>
                        <div class="inline field">
                            <input placeholder="Por quê?" type="text" size="50" name="valor_captado_text">
                        </div>
                    </div>
                </div>
            </div>


            <!-- METRIC -->
            <!-- 3 Como a planilha, incluindo itens e preços, mudam ao longo do tempo em termos de rubrica ou outra categoria -->
            <!-- <div class="title active Metric-good">
                <div class="ui ribbon label">
                    <i class="icon"></i>
                </div>
                <span>Mudanças na planilha orçamentária: {{indicator.metrics.6.value}}</span>
                <i class="dropdown icon"></i>
                <div class="helper">
                    <i class="question circle outline icon"></i>
                    <div class="ui floating message">
                        <p>Compara o quantidade de mudanças de valor em itens orçamentários neste projeto com a
                            <strong>quantidade de mudanças mais frequente</strong> em projetos do mesmo segmento.</p>
                        <p>Também indica quantas versões de planilha orçamentária foram geradas até a prestação de contas.</p>
                    </div>
                </div>
            </div>
            <div class="content active">
                <h3>(Barra de distribuição de quant. de mudanças nesse proj em relação à média do segmento)</h3>
                <h3>Versões de planilha orçamentária: {{indicator.metrics.6.document_version}}</h3>
                <div class="ui fedback form">
                    <div class="ui divider"></div>
                    <div class="header">Quanto essa informação é útil para você?</div>
                    <div class="fields">
                        <div class="four wide field rating-star" onclick="rmRedBorder(this)">
                            <div class="ui massive star rating" name="mudancas_planilha_orcamentaria_rating"></div>
                        </div>
                        <div class="inline field">
                            <input placeholder="Por quê?" type="text" size="50" name="mudancas_planilha_orcamentaria_text">
                        </div>
                    </div>
                </div>
            </div> -->


            <!-- METRIC -->
            <!-- 2 Número de projetos já enviados por aquele proponente ou outros "escritores" da proposta -->
            <div class="title active {{indicator.metrics.7.outlier_check}}">
                <div class="ui ribbon label">
                    <i class="icon"></i>
                </div>
                <span>Projetos do mesmo proponente: {{indicator.metrics.7.value}}</span>
                <i class="dropdown icon"></i>
                <div class="helper">
                    <i class="question circle outline icon"></i>
                    <div class="ui floating message">
                        <p>Indica os projetos que o proponente já executou no passado.</p>
                    </div>
                </div>
            </div>
            <div class="content active">
                <div class="ui bulleted list">
                    {% for project in indicator.metrics.7.proponent_projects %}
                    <div class="item">
                        <a href="{{project.link}}">{{project.name}}</a>
                    </div>
                    {% endfor %}
                </div>
                <div class="ui fedback form">
                    <div class="ui divider"></div>
                    <div class="header">Quanto essa informação é útil para você?</div>
                    <div class="fields">
                        <div class="four wide field rating-star" onclick="rmRedBorder(this)">
                            <div class="ui massive star rating" name="projetos_mesmo_proponente_rating"></div>
                        </div>
                        <div class="inline field">
                            <input placeholder="Por quê?" type="text" size="50" name="projetos_mesmo_proponente_text">
                        </div>
                    </div>
                </div>
            </div>


            <!-- METRIC -->
            <!-- 4 Porcentagem ou distribuição dos fornecedores do projeto em relação a fornecedores já conhecidos -->
            <div class="title active {{indicator.metrics.8.outlier_check}}">
                <div class="ui ribbon label">
                    <i class="icon"></i>
                </div>
                <span>Novos fornecedores: {{indicator.metrics.8.value}}</span>
                <i class="dropdown icon"></i>
                <div class="helper">
                    <i class="question circle outline icon"></i>
                    <div class="ui floating message">
                        <p>Indica a proporção de fornecedores que
                            <strong>nunca participaram de projetos</strong> de incentivo antes em relação ao total de fornecedores
                            envolvidos com o projeto.</p>
                        <p>Também lista os itens orçamentários dos novos fornecedores.</p>
                    </div>
                </div>
            </div>
            <div class="content active">
                <div class="accordion">
                    {% for provider in indicator.metrics.8.providers %}
                    <div class="title">
                        <i class="dropdown icon"></i>
                        {{provider.provider_name}}
                    </div>
                    <div class="content">
                        <div class="ui bulleted list">
                            {% for itens in provider.provider_items %}
                            <div class="item">
                                <a href="{{item.item_link}}">{{itens.item_name}}</a>
                            </div>
                            {% endfor %}
                        </div>
                    </div>
                    {% endfor %}
                    <div class="ui fedback form">
                        <div class="ui divider"></div>
                        <div class="header">Quanto essa informação é útil para você?</div>
                        <div class="fields">
                            <div class="four wide field rating-star" onclick="rmRedBorder(this)">
                                <div class="ui massive star rating" name="novos_fornecedores_rating"></div>
                            </div>
                            <div class="inline field">
                                <input placeholder="Por quê?" type="text" size="50" name="novos_fornecedores_text">
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <!-- METRIC -->
            <!-- Total do valor aprovado do projeto -->
            <div class="title active {{indicator.metrics.9.outlier_check}}">
                <div class="ui ribbon label">
                    <i class="icon"></i>
                </div>
                <span>Valor aprovado: {{indicator.metrics.9.value}}</span>
                <i class="dropdown icon"></i>
                <div class="helper">
                    <i class="question circle outline icon"></i>
                    <div class="ui floating message">
                        <p>Compara o valor aprovado para este projeto com o
                            <strong>valor mais frequentemente</strong> aprovado em projetos do mesmo segmento</p>
                    </div>
                </div>
            </div>
            <div class="content active">
                <!-- <h3>(Barra de distribuição em relação à média)</h3> -->
                <div>
                    <p>
                        Esta valor aprovado {% if indicator.metrics.9.outlier_check != "Metric-good" %}está acima {% else %}não está acima{% endif %}
                        do limite esperado, sendo este: {{indicator.metrics.9.maximum_expected_funds}}.
                    </p>
                </div>
                <div class="ui fedback form">
                    <div class="ui divider"></div>
                    <div class="header">Quanto essa informação é útil para você?</div>
                    <div class="fields">
                        <div class="four wide field rating-star" onclick="rmRedBorder(this)">
                            <div class="ui massive star rating" name="valor_aprovado_rating"></div>
                        </div>
                        <div class="inline field">
                            <input placeholder="Por quê?" type="text" size="50" name="valor_aprovado_text">
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="ui modal" id="erro-star">
            <div class="header">Pendência de avaliações</div>
            <div class="content">
                <p>Por favor, avalie todas as métricas através das estrelinhas.</p>
            </div>
            <div class="actions">
                <button class="ui primary cancel button" id="confirmation-rating">Ok, avaliarei!</button>
            </div>
        </div>

        <div class="ui modal" id="modal-sucess">
            <div class="header">Sucesso ao enviar o feedback</div>
            <div class="content">
                <p>Mensagem qualquer.</p>
            </div>
            <div class="actions">
                <div class="ui cancel button">Permanecer na página atual</div>
                <a class="ui primary button" href="{% url 'index' %}">
                    Ir para a lista dos projetos
                </a>
            </div>
        </div>

        <input type="hidden" name="all_ratings" value="" id="all_ratings">
        <input type="hidden" name="project_pronac" value="{{ project.pronac }}">
        <input type="hidden" name="user_email" value="{{ user.email }}">
        <div class="ui basic segment" id="FinalForm">
            <div class="ui equal width form project-feedback-container">
                <div class="header">
                    Na sua opinião, como você avalia
                    <em>&ldquo;{{ project.name }}&rdquo;</em>:
                </div>
                <div class="inline fields">
                    {% for grade in project_feedback_list %}
                    <div class="field">
                        <div class="ui radio checkbox">
                            <input type="radio" required name="project_feedback_grade" value={{forloop.counter}}>
                            <label>{{ grade }}</label>
                        </div>
                    </div>
                    {% endfor %}
                </div>
            </div>
            <button class="scroll ui huge primary button" onmouseover="getRating()" href="#first-star" type="submit">
                Terminar Diagnóstico
            </button>
        </div>
        {% endfor %}
</form>

<script>
    var radialObj = $('#indicatorContainer').radialIndicator({
        radius: 70,
        barColor: {
            0: '#1B5E20',
            30: '#F2B01C',
            80: '#DB2828'
        },
        maxValue: 100,
        barWidth: 10,
        initValue: 0,
        roundCorner: true,
        percentage: true
    }).data('radialIndicator');

    function rmRedBorder(element) {
        element.classList.remove("borda-vermelha");
    }

    function getRating() {
        var value = $('.ui.rating').rating('get rating')
        var hidden_ratings = document.getElementById("all_ratings")

        var element = document.getElementsByClassName("rating-star");
        var classNameAdd = "borda-vermelha";

        var entrou = false;
        for (var i = 0, size = value.length; i < size; ++i) {
            if (!value[i]) {
                entrou = true;
                element[i].classList.add(classNameAdd);
            }
            if (entrou) $('#erro-star').modal('show')
        }
        hidden_ratings.value = value.join("")
    }

    $('.ui.rating').rating({
        initialRating: 0,
        maxRating: 5
    })

    function showModal() {
        $('#modal-sucess').modal('show')
    }

    var mark_project = document.getElementById("MedianDisplay-Project");
    mark_project.addEventListener("load", changeWidthBar(mark_project, document.getElementById("barra")));

    function changeWidthBar(x, y) {
        y.style.left = "{{project_indicators.0.metrics.0.bar.min_interval}}" + "%";
        var value = "{{project_indicators.0.metrics.0.bar.project}}";
        x.style.left = (value-3) + "%";
    }

    var toTop = document.getElementById("confirmation-rating");
    toTop.addEventListener("click", function () {
        scrollToTop(2000);
    });

    $('#MedianDisplay-TotalItems')
        .progress({
            label: "oi",
        })
        ;
    function scrollToTop(scrollDuration) {
        var scrollStep = -window.scrollY / (scrollDuration / 15),
            scrollInterval = setInterval(function () {
                if (window.scrollY != 0) {
                    window.scrollBy(0, scrollStep);
                }
                else clearInterval(scrollInterval);
            }, 15);
    }

    $('.ui.accordion').accordion({ exclusive: false });
    var comp = 100 - "{{project_indicators.0.value}}"
    radialObj.value(comp)


</script> {% endblock %}